VirtualBox Main API

Public Member Functions | Public Attributes | List of all members
IVFSExplorer Interface Reference

The VFSExplorer interface unifies access to different file system types. More...

Inheritance diagram for IVFSExplorer:

## Public Member Functions
void | update ([retval] out IProgress progress)
| Updates the internal list of files/directories from the current directory level.
void | cd (in wstring dir, [retval] out IProgress progress)
| Change the current directory level.
void | cdUp ([retval] out IProgress progress)
| Go one directory upwards from the current directory level.
void | entryList (out wstring[] names, out unsigned long[] types, out long long[] sizes, out unsigned long[] modes)
| Returns a list of files/directories after a call to update.
void | exists (in wstring[] names, [retval] out wstring[] exists)
| Checks if the given file list exists in the current directory level.
void | remove (in wstring[] names, [retval] out IProgress progress)
| Deletes the given files in the current directory level.

## Public Attributes
readonly attribute wstring | path
| Returns the current path in the virtual file system.
readonly attribute VFSType | type
| Returns the file system type which is currently in use.

## Detailed Description

The VFSExplorer interface unifies access to different file system types.

This includes local file systems as well remote file systems like S3. For a list of supported types see VFSType. An instance of this is returned by IAppliance::createVFSExplorer.

Interface ID:
  `{FB220201-2FD3-47E2-A5DC-2C2431D833CC}`

## Member Function Documentation

## ◆ update()

void IVFSExplorer::update | ( | [retval] out IProgress | progress | ) |

Updates the internal list of files/directories from the current directory level.

Use entryList to get the full list after a call to this method.

Parameters

  progress | Progress object to track the operation completion.

## ◆ cd()

void IVFSExplorer::cd | ( | in wstring | dir,
|  | [retval] out IProgress | progress
| ) |  |

Change the current directory level.

Parameters

  dir | The name of the directory to go in.
  progress | Progress object to track the operation completion.

## ◆ cdUp()

void IVFSExplorer::cdUp | ( | [retval] out IProgress | progress | ) |

Go one directory upwards from the current directory level.

Parameters

  progress | Progress object to track the operation completion.

## ◆ entryList()

void IVFSExplorer::entryList | ( | out wstring[] | names,
|  | out unsigned long[] | types,
|  | out long long[] | sizes,
|  | out unsigned long[] | modes
| ) |  |

Returns a list of files/directories after a call to update.

The user is responsible for keeping this internal list up do date.

Parameters

  names | The list of names for the entries.
  types | The list of types for the entries. FsObjType
  sizes | The list of sizes (in bytes) for the entries.
  modes | The list of file modes (in octal form) for the entries.

## ◆ exists()

void IVFSExplorer::exists | ( | in wstring[] | names,
|  | [retval] out wstring[] | exists
| ) |  |

Checks if the given file list exists in the current directory level.

Parameters

  names | The names to check.
  exists | The names which exist.

## ◆ remove()

void IVFSExplorer::remove | ( | in wstring[] | names,
|  | [retval] out IProgress | progress
| ) |  |

Deletes the given files in the current directory level.

Parameters

  names | The names to remove.
  progress | Progress object to track the operation completion.

## Member Data Documentation

## ◆ path

readonly attribute wstring IVFSExplorer::path

Returns the current path in the virtual file system.

## ◆ type

readonly attribute VFSType IVFSExplorer::type

Returns the file system type which is currently in use.